Bug 17936 - Install and run problems
Install and run problems
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
7.0
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Alan Cox
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-09-30 00:34 EDT by Tom Minerd
Modified: 2007-04-18 12:28 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-11-27 14:34:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom Minerd 2000-09-30 00:34:21 EDT
I have tried to install a full version of Red Hat 7.0 from the ftp 
server:  sunsite.cnlabs-switch.ch.  During the install I have a problem 
with video during graphical installation.  The screen doesn't seem to 
refresh and as the installation continues things only get worse and screen 
after screen seems to overlay one another.  I can make it through the 
install but once I start running 7.0  the screen doesn't come completely 
up and again as I open new windows the screen doesn't seem to refresh and 
moving windows just smears the screen.  This problem never happened to me 
with 6.2.  I have an S3 Savage 4 video card which is definitely supported 
and shouldn't have problems during install.  What could be the problem?
Comment 1 Alan Cox 2000-10-01 18:32:08 EDT
I think this is an X problem with the Savage 3D card. If you do a text install
then configure X is it any better. If not I'll guide you through some
alternatives to try and pin it down
Comment 2 Need Real Name 2000-10-03 00:04:28 EDT
I am experiencing similar problems. I have a Trident 4MB 9750 card which the 
6.2 installer works fine in graphical mode and 7.0 does not.

Subsequently, I need graphical install because I want to use RAID and it doesnt 
seem to be featured in the text disk druid (no Make Raid Device button)
Comment 3 ncaswell 2000-10-09 12:52:44 EDT
same problem ... Savage 4 video. Text install works fine, but X has the problem. Looks like blt pointers are off, as dragging a
window leaves a trail behind, then jumps to leave blocks at other points on the screen. sev 1, as this is completely unusable.
Comment 4 ncaswell 2000-10-09 13:15:33 EDT
From Xfree86 driver support pages: looks like a warning, or better yet install option to backlevel X would be in order.

27. S3

3.3.6:

     Support (accelerated) for the S3 911, 924, 801, 805, 928, 864, 868, 964, 968, Trio32, Trio64, Trio64V+, Trio64UV+, Aurora64V+,
     Trio64V2, PLATO/PX is provided by the XF86_S3 server and the XF86_SVGA server with the s3_svga driver. Support
     (accelerated) for the ViRGE, ViRGE/VX, ViRGE/DX, ViRGE/GX, ViRGE/GX2, ViRGE/MX, ViRGE/MX+ is provided by the XF86_S3V
     server. Support (accelerated) for those ViRGE chips, as well as the Trio3D and Trio3D/2X is provided by the XF86_SVGA server
     with the s3v driver. Support (accelerated) for the Savage3D, Savage3D/MV, Savage4, Savage2000, Savage/MX-MV, Savage/MX,
     Savage/IX-MV and Savage/IX is provided by the XF86_SVGA server with the s3_savage driver (CHECK: is this support
     Linux-only?).

4.0.1:

     Support (accelerated) for the ViRGE, ViRGE/VX, ViRGE/DX, ViRGE/GX, ViRGE/GX2, ViRGE/MX, ViRGE/MX+, Trio3D and
     Trio3D/2X is provided by the "s3virge" driver. Support for the other S3 chipsets has not yet been ported.

Summary:

     Only the ViRGE and Trio3D chipsets are supported in 4.0.1. All of the other chipsets are only supported in 3.3.6.
Comment 5 Michael Fulbright 2000-10-24 14:51:58 EDT
Adding Trond since he is working on X related configuration issues.
Comment 6 Trond Eivind Glomsrxd 2000-10-24 14:58:03 EDT
Savage seems to use XFree3.
Comment 7 Alan Cox 2000-10-26 17:09:00 EDT
6.2 server seems to work - a reversion in the XFree patch sets or a compiler
fart ?
Comment 8 Trond Eivind Glomsrxd 2000-10-26 17:36:40 EDT
Can the original reporter check what /etc/X11/X points at?
Also, S3 isn't S3 - there's lots of them.
Comment 9 Michael Fulbright 2000-11-27 14:34:34 EST
Closing due to inactivity.

Note You need to log in before you can comment on or make changes to this bug.